summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author David Somero <dsomero@hotmail.com>2010-05-11 20:00:52 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:52 +0200
commit9a81cace463ebeba99c9cf5e73958d02b25d0d60 (patch)
tree0915141ccbf9e0e218313274407053b3963acec3 /libraries
parent9e8d0598b5b1cbec905f9c0c7a4321cd32d9bbb9 (diff)
downloadslackbuilds-9a81cace463ebeba99c9cf5e73958d02b25d0d60.tar.gz
slackbuilds-9a81cace463ebeba99c9cf5e73958d02b25d0d60.tar.xz
libraries/libfwbuilder: Added to 12.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libfwbuilder/README8
-rw-r--r--libraries/libfwbuilder/libfwbuilder.SlackBuild74
-rw-r--r--libraries/libfwbuilder/libfwbuilder.info8
-rw-r--r--libraries/libfwbuilder/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/libraries/libfwbuilder/README b/libraries/libfwbuilder/README
new file mode 100644
index 0000000000..bf562f302f
--- /dev/null
+++ b/libraries/libfwbuilder/README
@@ -0,0 +1,8 @@
+Firewall Builder is multi-platform firewall configuration and management
+tool. It consists of a GUI and set of policy compilers for various firewall
+platforms. Firewall Builder uses object-oriented approach, it helps the
+administrator maintain a database of network objects and allows policy
+editing using simple drag-and-drop operations. Firewall Builder currently
+supports iptables, ipfilter, OpenBSD PF, and Cisco PIX.
+
+This builds the shared libraries needed for Firewall Builder.
diff --git a/libraries/libfwbuilder/libfwbuilder.SlackBuild b/libraries/libfwbuilder/libfwbuilder.SlackBuild
new file mode 100644
index 0000000000..1283fe13c7
--- /dev/null
+++ b/libraries/libfwbuilder/libfwbuilder.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for libfwbuilder
+
+# Copyright 2007 David Somero <dsomero@hotmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libfwbuilder
+VERSION=2.1.16
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --with-docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-advanced-dns
+
+make
+make install DDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libfwbuilder/libfwbuilder.info b/libraries/libfwbuilder/libfwbuilder.info
new file mode 100644
index 0000000000..5640cc8f6b
--- /dev/null
+++ b/libraries/libfwbuilder/libfwbuilder.info
@@ -0,0 +1,8 @@
+PRGNAM="libfwbuilder"
+VERSION="2.1.16"
+HOMEPAGE="http://www.fwbuilder.org"
+DOWNLOAD="http://downloads.sourceforge.net/fwbuilder/libfwbuilder-2.1.16.tar.gz"
+MD5SUM="d00ff0e61e2012478f58475d27d001a9"
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"
+APPROVED="rworkman"
diff --git a/libraries/libfwbuilder/slack-desc b/libraries/libfwbuilder/slack-desc
new file mode 100644
index 0000000000..1cac519644
--- /dev/null
+++ b/libraries/libfwbuilder/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+libfwbuilder: libfwbuilder (Firewall Builder libraries)
+libfwbuilder:
+libfwbuilder: This package contains shared libraries used by the
+libfwbuilder: the Firewall Builder (fwbuilder) application.
+libfwbuilder:
+libfwbuilder:
+libfwbuilder:
+libfwbuilder:
+libfwbuilder:
+libfwbuilder:
+libfwbuilder: